## org.exist.xquery.test
Class ValueIndexTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.ValueIndexTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  ValueIndexByQNameTest

public class ValueIndexTest
extends junit.framework.TestCase

Author:
  wolf

Constructor Summary
`ValueIndexTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testIndexScan()`
`void` `testStrFunctions()`
`void` `testStrings()`
`void` `testUpdates()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueIndexTest

    public ValueIndexTest()

Method Detail

### testStrings

    public void testStrings()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testStrFunctions

    public void testStrFunctions()

### testIndexScan

    public void testIndexScan()

### testUpdates

    public void testUpdates()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.